## GstVaapiPostproc

GstVaapiPostproc — A video postprocessing filter

## Properties

GstVaapiDeinterlaceMethod | deinterlace-method | Read / Write
GstVaapiDeinterlaceMode | deinterlace-mode | Read / Write
gfloat | denoise | Read / Write
gboolean | force-aspect-ratio | Read / Write
GstVideoFormat | format | Read / Write
guint | height | Read / Write
gfloat | sharpen | Read / Write
guint | width | Read / Write

## Types and Values

struct | GstVaapiPostproc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVaapiPostproc

## Description

vaapipostproc consists in various postprocessing algorithms to be applied to VA surfaces. So far, only basic bob deinterlacing is implemented.

## Functions

## Types and Values

### struct GstVaapiPostproc

    struct GstVaapiPostproc;

## Property Details

### The `“deinterlace-method”` property

      “deinterlace-method”       GstVaapiDeinterlaceMethod

This selects the deinterlacing method to apply.

Flags: Read / Write

Default value: Bob deinterlacing

### The `“deinterlace-mode”` property

      “deinterlace-mode”         GstVaapiDeinterlaceMode

This selects whether the deinterlacing should always be applied or if they should only be applied on content that has the "interlaced" flag on the caps.

Flags: Read / Write

Default value: Auto detection

### The `“denoise”` property

      “denoise”                  gfloat

The level of noise reduction to apply.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“force-aspect-ratio”` property

      “force-aspect-ratio”       gboolean

When enabled, scaling respects video aspect ratio; when disabled, the video is distorted to fit the width and height properties.

Flags: Read / Write

Default value: TRUE

### The `“format”` property

      “format”                   GstVideoFormat

The forced output pixel format, expressed as a GstVideoFormat.

Flags: Read / Write

Default value: GST_VIDEO_FORMAT_UNKNOWN

### The `“height”` property

      “height”                   guint

The forced output height in pixels. If set to zero, the height is calculated from the width if aspect ration is preserved, or inherited from the sink caps height

Flags: Read / Write

Allowed values: <= G_MAXLONG

Default value: 0

### The `“sharpen”` property

      “sharpen”                  gfloat

The level of sharpening to apply for positive values, or the level of blurring for negative values.

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0

### The `“width”` property

      “width”                    guint

The forced output width in pixels. If set to zero, the width is calculated from the height if aspect ration is preserved, or inherited from the sink caps width

Flags: Read / Write

Allowed values: <= G_MAXLONG

Default value: 0